## khangman 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
project(khangman VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(ECMAddAppIcon)
include(ECMSetupVersion)

include(FeatureSummary)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)


find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Crash
    Completion
    Config
    CoreAddons
    ConfigWidgets
    NewStuff
    Notifications
    XmlGui
    KIO
)
find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


add_subdirectory( src )

add_subdirectory( themes )
add_subdirectory( fonts )

add_subdirectory( icons )

add_subdirectory( languages )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

install(FILES org.kde.khangman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== languages/CMakeLists.txt ===
add_subdirectory(ca)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hu)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nn)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(sk)
add_subdirectory(sl)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(tg)
add_subdirectory(tr)

=== languages/ga/CMakeLists.txt ===
install(FILES ga.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== debian/changelog ===
khangman (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:15 +0100

khangman (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:04:07 +0100

khangman (4:22.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove inactive Uploaders.
  * Update standards version to 4.6.1, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.90.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 21:30:39 +0100

khangman (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Drop kde-l10n migration rules, not needed anymore.
  * Refresh upstream metadata.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 Apr 2022 14:42:28 +0200

khangman (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:12:53 +0900

khangman (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:06:10 +0900

=== debian/control ===
Source: khangman
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkeduvocdocument-dev,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git

Package: khangman
Architecture: any
Section: misc
Depends: fonts-dustin,
         kdeedu-kvtml-data,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: Hangman word puzzle
 KHangMan is the well-known Hangman game, aimed towards children aged 6 and
 above.
 .
 It picks a random word which the player must reveal by guessing if it contains
 certain letters.  As the player guesses letters, the word is gradually
 revealed, but 10 wrong guesses will end the game.
 .
 This package is part of the KDE education module.

## khangman 23.08.0

=== debian/changelog ===
khangman (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:18 +0100

khangman (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:06 +0100

khangman (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:47:21 +0100

khangman (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:09 +0100

khangman (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:38:17 +0000

khangman (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:17:10 -0600

khangman (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:07 +0000

khangman (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkeduvocdocument-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 18:02:30 +0000

khangman (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:09:30 +0000

khangman (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:05:48 +0000

khangman (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:50:41 +0000

khangman (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: khangman
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev,
+               libkeduvocdocument-dev (>= 4:23.08.0~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),
@@ -25,11 +26,11 @@
                libqt5svg5-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
 
 Package: khangman
 Architecture: any
@@ -45,7 +46,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: khelpcenter,
+Suggests: khelpcenter
 Description: Hangman word puzzle
  KHangMan is the well-known Hangman game, aimed towards children aged 6 and
  above.

## khangman 23.08.1

=== debian/changelog ===
khangman (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:23.08.0~),
+               libkeduvocdocument-dev (>= 4:23.08.1~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),

## khangman 23.08.4

=== debian/changelog ===
khangman (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:15:32 +0000

khangman (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:07 +0000

khangman (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:31:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:23.08.1~),
+               libkeduvocdocument-dev (>= 4:23.08.4~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),

## khangman 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(QT_MIN_VERSION "5.15.2")
@@ -21,6 +21,14 @@
 include(GenerateExportHeader)
 include(ECMAddAppIcon)
 include(ECMSetupVersion)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 include(FeatureSummary)
 set(CMAKE_CXX_STANDARD 17)
@@ -29,7 +37,7 @@
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)
 
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     Crash
     Completion
@@ -41,14 +49,14 @@
     XmlGui
     KIO
 )
-find_package(KF5DocTools ${KF5_MIN_VERSION})
-set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+find_package(KF${KF_MAJOR_VERSION}DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
     "Tools to generate documentation"
     TYPE OPTIONAL
 )
 find_package(LibKEduVocDocument REQUIRED)
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-
+ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.101.0)
 
 add_subdirectory( src )

=== fonts/CMakeLists.txt ===

install( FILES Dustismo_Roman.ttf Domestic_Manners.ttf  DESTINATION  ${KDE_INSTALL_DATADIR}/khangman/fonts )

=== languages/pl/CMakeLists.txt ===
install(FILES pl.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/pt/CMakeLists.txt ===
install(FILES pt.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/sr@ijekavianlatin/CMakeLists.txt ===
install(FILES sr@ijekavianlatin.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== themes/bees/CMakeLists.txt ===

install( FILES khangman_bees.svg   DESTINATION  ${KDE_INSTALL_DATADIR}/khangman/themes )

=== debian/changelog ===
khangman (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:02 +0200

khangman (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:04:54 +0000

khangman (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:58:13 +0000

khangman (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:48:05 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:23.08.4~),
+               libkeduvocdocument-dev (>= 4:23.08.5~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),

## khangman 24.08.2

=== debian/changelog ===
khangman (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:55:18 -0500

khangman (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 22:43:49 -0500

=== debian/control ===
Source: khangman
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkeduvocdocument-dev (>= 4:24.08.2~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman

Package: khangman
Architecture: any
Section: misc
Depends: fonts-dustin,
         kdeedu-kvtml-data,
         qml6-module-qtgraphicaleffects,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: Hangman word puzzle
 KHangMan is the well-known Hangman game, aimed towards children aged 6 and
 above.
 .
 It picks a random word which the player must reveal by guessing if it contains
 certain letters.  As the player guesses letters, the word is gradually
 revealed, but 10 wrong guesses will end the game.
 .
 This package is part of the KDE education module.

## khangman 24.12.0

=== debian/changelog ===
khangman (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:12:02 +0000

khangman (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:08:21 +0000

khangman (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:47:48 +0000

khangman (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Fix qml module runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2024 11:32:48 +0000

khangman (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:40:55 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.08.2~),
+               libkeduvocdocument-dev (>= 4:24.12.0~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -37,13 +37,18 @@
 Section: misc
 Depends: fonts-dustin,
          kdeedu-kvtml-data,
-         qml6-module-qtgraphicaleffects,
+         qml6-module-org-kde-coreaddons,
+         qml6-module-org-kde-kirigamiaddons-components,
+         qml6-module-org-kde-kirigamiaddons-delegates,
+         qml6-module-org-kde-kirigamiaddons-formcard,
          qml6-module-qtmultimedia,
+         qml6-module-qtqml,
+         qml6-module-qtqml-workerscript,
          qml6-module-qtquick,
          qml6-module-qtquick-controls,
          qml6-module-qtquick-dialogs,
          qml6-module-qtquick-layouts,
-         qml6-module-qtquick-window2,
+         qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: khelpcenter,

## khangman 24.12.1

=== debian/changelog ===
khangman (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:31:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.12.0~),
+               libkeduvocdocument-dev (>= 4:24.12.1~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6configwidgets-dev (>= 6.3.0~),

## khangman 24.12.2

=== debian/changelog ===
khangman (4:24.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the old /etc/xdg/khangman.knsrc conffile. (Closes: #1091700)
  * Small changes to copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2025 09:57:04 +0100

khangman (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 16 Jan 2025 12:24:11 +0100

khangman (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Replace manual QML runtime dependencies management with dh-sequence-
    qmldeps.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:42:36 +0100

=== debian/control ===
Source: khangman
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkeduvocdocument-dev (>= 4:24.08~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-qtmultimedia,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git

Package: khangman
Architecture: any
Section: misc
Depends: fonts-dustin,
         kdeedu-kvtml-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: Hangman word puzzle
 KHangMan is the well-known Hangman game, aimed towards children aged 6 and
 above.
 .
 It picks a random word which the player must reveal by guessing if it contains
 certain letters.  As the player guesses letters, the word is gradually
 revealed, but 10 wrong guesses will end the game.
 .
 This package is part of the KDE education module.

## khangman 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.3.0")
project(khangman VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM ${KF_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMDeprecationSettings)

include(FeatureSummary)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)


find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)

qt_policy(SET QTP0001 NEW)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Crash
    Completion
    Config
    CoreAddons
    NewStuff
    Notifications
    KIO
)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)

add_subdirectory( src )

add_subdirectory( themes )
add_subdirectory( fonts )

add_subdirectory( icons )

add_subdirectory( languages )

ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

install(FILES org.kde.khangman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_qml_module(khangman_static
    STATIC
    URI org.kde.khangman
    VERSION 1.0
)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KHANGMAN VERSION_HEADER khangman_version.h)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDES}
)

target_sources(khangman_static PRIVATE
    khangman.cpp
    khangman.h
    khmtheme.cpp
    khmthemefactory.cpp
    khmthemefactory.h
    khmtheme.h
    langutils.cpp
    langutils.h
)
kconfig_add_kcfg_files(khangman_static prefs.kcfgc)

qt_target_qml_sources(khangman_static
    QML_FILES
        qml/GamePage.qml
        qml/LetterElement.qml
        qml/SelectionDialog.qml
        qml/Main.qml

        ## Settings
        qml/Settings/SettingsPage.qml
        qml/Settings/AboutKDEPage.qml
        qml/Settings/AboutPage.qml
)

qt_target_qml_sources(khangman_static
    PREFIX /
    RESOURCES
        # sounds
        qml/sounds/EW_Dialogue_Appear.ogg
        qml/sounds/EW_Dialogue_Appear.wav
        qml/sounds/chalk.ogg
        qml/sounds/chalk.wav
        qml/sounds/khangman-alphabet-button-press.wav
        qml/sounds/new_game.ogg
        qml/sounds/new_game.wav
        qml/sounds/splash.ogg
        qml/sounds/splash.wav
        qml/sounds/wrong.ogg
        qml/sounds/wrong.wav

        # gallows
        qml/gallows/gallows1.png
        qml/gallows/gallows10.png
        qml/gallows/gallows2.png
        qml/gallows/gallows3.png
        qml/gallows/gallows4.png
        qml/gallows/gallows5.png
        qml/gallows/gallows6.png
        qml/gallows/gallows7.png
        qml/gallows/gallows8.png
        qml/gallows/gallows9.png
)

target_link_libraries(khangman_static
PUBLIC
    Qt6::Core
    Qt6::Qml
    KF6::Crash
    KF6::I18n
    KF6::NewStuffCore
    KF6::ConfigCore
    KF6::WidgetsAddons
    LibKEduVocDocumentImport__KEduVocDocument
)

add_executable(khangman
    main.cpp
)

target_link_libraries(khangman PRIVATE khangman_static khangman_staticplugin)

install(
    FILES
    khangman.kcfg
    DESTINATION
    ${KDE_INSTALL_KCFGDIR}
)

install(
    FILES
    khangman.knsrc
    DESTINATION
    ${KDE_INSTALL_KNSRCDIR}
)

install(
    FILES org.kde.khangman.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
    TARGETS khangman  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
khangman (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:42:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: khangman
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.08~),
+               libkeduvocdocument-dev (>= 4:24.12.3~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
@@ -30,8 +31,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
 
 Package: khangman
 Architecture: any

## khangman 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(QT_MIN_VERSION "6.5.0")
@@ -47,8 +47,7 @@
     TYPE OPTIONAL
 )
 find_package(LibKEduVocDocument REQUIRED)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.12.0)
 
 add_subdirectory( src )

=== languages/es/CMakeLists.txt ===
install(FILES es.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/sl/CMakeLists.txt ===
install(FILES sl.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== debian/changelog ===
khangman (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:26:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: khangman
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.12.3~),
+               libkeduvocdocument-dev (>= 4:24.08~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
@@ -28,11 +27,11 @@
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
+Homepage: https://edu.kde.org/khangman/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git
 
 Package: khangman
 Architecture: any

## khangman 25.04.3

=== debian/changelog ===
khangman (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:44:03 +0100

khangman (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:46:57 +0100

khangman (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:07:11 +0100

khangman (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: khangman
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.08~),
+               libkeduvocdocument-dev (>= 4:25.04.3~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
@@ -27,11 +28,11 @@
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://edu.kde.org/khangman/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git
+Homepage: http://edu.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
 
 Package: khangman
 Architecture: any

## khangman 25.07.80

=== debian/changelog ===
khangman (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:11:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:25.04.3~),
+               libkeduvocdocument-dev (>= 4:25.07.80~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),

## khangman 25.07.90

=== debian/changelog ===
khangman (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:25.07.80~),
+               libkeduvocdocument-dev (>= 4:25.07.90~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),

## khangman 25.08.0

=== debian/changelog ===
khangman (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:52:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:25.07.90~),
+               libkeduvocdocument-dev (>= 4:25.08.0~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),

## khangman 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(QT_MIN_VERSION "6.5.0")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,6 @@
 
         ## Settings
         qml/Settings/SettingsPage.qml
-        qml/Settings/AboutKDEPage.qml
-        qml/Settings/AboutPage.qml
 )
 
 qt_target_qml_sources(khangman_static
@@ -87,6 +85,12 @@
 
 target_link_libraries(khangman PRIVATE khangman_static khangman_staticplugin)
 
+if(TARGET KF6::I18nQml)
+target_link_libraries(khangman PUBLIC
+        KF6::I18nQml
+)
+endif()
+
 install(
     FILES
     khangman.kcfg

=== languages/de/CMakeLists.txt ===
install(FILES de.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/gl/CMakeLists.txt ===
install(FILES gl.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/sk/CMakeLists.txt ===
install(FILES sk.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/tg/CMakeLists.txt ===
install(FILES tg.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== languages/tr/CMakeLists.txt ===
install(FILES tr.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== debian/changelog ===
khangman (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:25.08.0~),
+               libkeduvocdocument-dev (>= 4:25.08.1~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),

## khangman 25.08.1+p24.04+vstable+git20250930.0514

=== debian/changelog ===
khangman (4:25.08.1+p24.04+vstable+git20250930.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:14:34 +0000

khangman (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:06:24 +0000

khangman (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:38:31 +0000

khangman (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:18:36 +0000

khangman (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:19:41 +0000

khangman (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:09:12 +0000

khangman (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:12:32 +0000

khangman (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:34:56 +0000

khangman (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:24:27 +0000

khangman (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:16:52 +0000

khangman (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:11:43 +0000

khangman (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:12:44 +0000

khangman (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:56:10 +0000

khangman (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:27:29 +0000

khangman (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:30:42 +0000

khangman (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:06:54 +0000

khangman (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:28:53 +0000

khangman (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:19:02 +0000

khangman (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:11:42 +0000

khangman (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:51:56 +0000

khangman (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 16:44:07 +0000

khangman (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:27:12 +0000

khangman (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:55:28 +0000

khangman (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:57:41 +0000

khangman (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:47:59 +0000

khangman (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:27:46 +0000

khangman (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 05:23:07 +0000

khangman (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:17:15 +0000

khangman (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:49:07 +0000

khangman (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:25:16 +0000

khangman (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:33:15 +0000

khangman (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:53:39 +0000

khangman (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:22:13 +0000

khangman (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:55:49 +0000

khangman (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:42:25 +0000

khangman (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:05:12 +0000

khangman (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:58:50 +0000

khangman (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:12:33 +0000

khangman (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:03:35 +0000

khangman (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:07:08 +0000

khangman (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:43 +0000

khangman (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:45 +0000

khangman (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:51 +0000

khangman (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:29:53 +0000

khangman (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:54:56 +0000

khangman (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:24:24 +0000

khangman (4:21.04.1-0neon) focal; urgency=medium

  * New release



## khangman 25.08.1+p24.04+vstable+git20251001.0603

=== debian/changelog ===
khangman (4:25.08.1+p24.04+vstable+git20251001.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:03:32 +0000

## khangman 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(QT_MIN_VERSION "6.5.0")

=== doc/CMakeLists.txt ===
########### install files ###############
#

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR khangman)
kdoctools_create_manpage(man-khangman.6.docbook 6 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== languages/uk/CMakeLists.txt ===
install(FILES uk.txt DESTINATION ${KDE_INSTALL_DATADIR}/khangman)

=== debian/changelog ===
khangman (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:25.08.1~),
+               libkeduvocdocument-dev (>= 4:25.08.2~),
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
